using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.App.Entity;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository.App
{
    public interface IPubInsuranceRepository
    {
        List<Pub_Insurance> GetPubInsurancesList(int Id, List<int> patId, string insuranceCard, List<int> status);

        int AddPubInsurances(Pub_Insurance request);
        int UpdatePubInsurances(Pub_Insurance request);
        List<Pub_Insurance> GetPubInsurancesForIds(List<int> patIds);

        InsuranceModel GetPubInsurance(int patId);
        InsuranceModel GetPubInsuranceById(int id);
        bool DeletePubInsurances(int id);

        Pub_Map_User_Insurance GetPubMapUserInsurance(int id);
    }
}
